Wurth wow and Autocom / Delphi modified 1622 firmware for testing

Here you can download the latest modified 1622 firmware for testing purpose. It will work on the same VCI without need to re-flash it with Wurth WOW 5.00.8 and 5.00.9, also Delphi, Autocom, Eclipse and Opus 2014.1, 2014.2, 2014.3, 2015.1 and 2015.1R3.

By downloading this firmware you take all responsibility for any damage done by your actions!

Download: Modified Firmware 1622

[otw_shortcode_button href=”http://www.obd2.one” size=”large” icon_type=”social foundicon-thumb-up” icon_position=”left” shape=”radius” target=”_blank”]Get Your Automotive Software HERE[/otw_shortcode_button]

 

 

 

 

Leave a Reply